Create new product
curl --request POST \
--url https://waas-staging.embedly.ng/api/v1/products/add \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"organizationId": "<string>",
"description": "<string>",
"direction": "<string>",
"isActive": true
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/products/add"
payload = {
"name": "<string>",
"organizationId": "<string>",
"description": "<string>",
"direction": "<string>",
"isActive": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
organizationId: '<string>',
description: '<string>',
direction: '<string>',
isActive: true
})
};
fetch('https://waas-staging.embedly.ng/api/v1/products/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create new product
The endpoint allows you to to create a new product.
POST
/
products
/
add
Create new product
Request Body
string
required
The name of the resource. Example: ‘Loan’
string
required
The unique identifier of the organization associated with the resource.
Example: ‘e678b629-fb56-11ef-a8a9-6045bd97b81d’
string
required
A description of the resource. Example: ‘Loan’
string
required
The direction of the resource (e.g., ‘D’ for debit). Example: ‘D’
boolean
required
Indicates whether the resource is active. Example: true
Response
✅ Success ResponseStatus Code: 200 OK
{
"code": "00",
"success": true,
"message": "Created Successfully",
"data": {
"id": "ed639208-0be4-11f0-a8a9-6045bd97b81d",
"name": "Loan",
"organizationId": "e678b629-fb56-11ef-a8a9-6045bd97b81d",
"description": "Loan",
"direction": "D",
"isActive": true,
"dateCreated": "2025-03-28T14:57:11"
}
}
❌ Error Responses
Status Code: 400 Bad Request
{
"code": "400",
"success": false,
"message": "Invalid input data",
"data": null
}
Status Code: 500 Internal Server Error
{
"code": "500",
"success": false,
"message": "An unexpected error occurred",
"data": null
}